org.apache.commons.csv

## Enum CSVFormat.Predefined

- java.lang.Object
- - java.lang.Enum<CSVFormat.Predefined>
  - - org.apache.commons.csv.CSVFormat.Predefined

- All Implemented Interfaces:
    Serializable, Comparable<CSVFormat.Predefined>
  Enclosing class:
    CSVFormat

      public static enum CSVFormat.Predefined
      extends Enum<CSVFormat.Predefined>

  Predefines formats.
  Since:
    1.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Default`
    `Excel`
    `InformixUnload`
    `InformixUnloadCsv`
    `MySQL`
    `PostgreSQLCsv`
    `PostgreSQLText`
    `RFC4180`
    `TDF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFormat` | `getFormat()` Gets the format.
    `static CSVFormat.Predefined` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CSVFormat.Predefined[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Default

          public static final CSVFormat.Predefined Default

      See Also:
        `CSVFormat.DEFAULT`

    - #### Excel

          public static final CSVFormat.Predefined Excel

      See Also:
        `CSVFormat.EXCEL`

    - #### InformixUnload

          public static final CSVFormat.Predefined InformixUnload

      Since:
        1.3
      See Also:
        `CSVFormat.INFORMIX_UNLOAD`

    - #### InformixUnloadCsv

          public static final CSVFormat.Predefined InformixUnloadCsv

      Since:
        1.3
      See Also:
        `CSVFormat.INFORMIX_UNLOAD_CSV`

    - #### MySQL

          public static final CSVFormat.Predefined MySQL

      See Also:
        `CSVFormat.MYSQL`

    - #### PostgreSQLCsv

          public static final CSVFormat.Predefined PostgreSQLCsv

      Since:
        1.5
      See Also:
        `CSVFormat.POSTGRESQL_CSV`

    - #### PostgreSQLText

          public static final CSVFormat.Predefined PostgreSQLText

      See Also:
        `CSVFormat.POSTGRESQL_CSV`

    - #### RFC4180

          public static final CSVFormat.Predefined RFC4180

      See Also:
        `CSVFormat.RFC4180`

    - #### TDF

          public static final CSVFormat.Predefined TDF

      See Also:
        `CSVFormat.TDF`

  - ### Method Detail

    - #### values

          public static CSVFormat.Predefined[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CSVFormat.Predefined c : CSVFormat.Predefined.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CSVFormat.Predefined valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getFormat

          public CSVFormat getFormat()

      Gets the format.
      Returns:
        the format.

Copyright © 2017 The Apache Software Foundation. All rights reserved.